﻿@using Jumbula.Common.Helper
@model CouponItemViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{pageTitle()}}
            </h1>
        </div>
     
        <div class="clearfix"></div>
        <hr />
    </div>
    <form id="CouponCreateEdit" novalidate ng-submit="saveRow()">

        <label class="req-star" for="@Html.Ang(m=>m.Name)">Name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
            <input class="k-textbox" id="@Html.Ang(m=>m.Name)" ng-model="@Html.Ang(m=>m.Name)" @Html.AngTooltipValidationFor(model => model.Name) />
        </div>

        <label class="req-star" for="@Html.Ang(m=> m.Code)">Code</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Code)>
            <input class="k-textbox" ng-model="@Html.Ang(m=> m.Code)" @Html.AngTooltipValidationFor(model => model.Code)>
        </div>

        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-change="" ng-model="@Html.Ang(model => model.IsOneTimeUse)" type="checkbox">
                <span class="check"></span>
                One time use
            </label>
        </div>

        <label class="req-star">Eligible programs</label>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.IsAllProgram)" name="isAllProgram" ng-value="true" type="radio" />
                    <span class="check"></span>
                    All programs
                </label>
            </div>
            <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.IsAllProgram)" name="isAllProgram" ng-value="false" type="radio" />
                    <span class="check"></span>
                    Select programs
                </label>
            </div>
        </div>
        <div class="input-control select" data-role="input-control" ng-show="@Html.Ang(m => m.IsAllProgram) == false">
            <select kendo-multi-select
                    id="selectedEvents"
                    k-options="eventsOptions"
                    k-auto-bind="true"
                    ng-model="@Html.Ang(m => m.SelectedEvents)"></select>
        </div>
        <label class="req-star">Amount</label>
        <div class="place-left one-third padding-right20">
            <div class="input-control radio default-style place-left one-half no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.AmounType" name="Model.AmounType" value="@(ChargeDiscountType.Fixed)" type="radio" ng-init="amountType = '$'" />
                    <span class="check"></span>
                    Fixed
                </label>
            </div>
            <div class="input-control radio default-style place-left one-half padding-right20 no-margin" data-role="input-control">
                <label class="block">
                    <input ng-model="Model.AmounType" name="Model.AmounType" value="@(ChargeDiscountType.Percent)" type="radio" />
                    <span class="check"></span>
                    Percent
                </label>
            </div>
        </div>
        <div class="place-left two-third">
            <div class="input-control text price" data-sign="{{Model.AmounType=='Fixed'?'$':'%'}}" data-role="input-control" @Html.AngValidationClassFor(model => model.Amount)>
                <input ng-model="@Html.Ang(m => m.Amount)" type="text" @Html.AngTooltipValidationFor(model => model.Amount) />
            </div>
        </div>
        <label for="@Html.Ang(m=> m.CouponType)">Applies to</label>
        <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.CouponType)>
            <select ng-model="@Html.Ang(m=> m.CouponType)" @Html.AngTooltipValidationFor(model => model.CouponType)>
                <option value="@(CouponType.MostExpensiveOrder)">@CouponType.MostExpensiveOrder.ToDescription()</option>
                <option value="@(CouponType.MostExpensiveSchedule)">@CouponType.MostExpensiveSchedule.ToDescription()</option>
                <option value="@(CouponType.AllSchedule)">@CouponType.AllSchedule.ToDescription()</option>
            </select>
        </div>
        <label for="@Html.Ang(m=> m.CouponCalculateType)">Usage</label>
        <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.CouponCalculateType)>
            <select ng-model="@Html.Ang(m => m.CouponCalculateType)" @Html.AngTooltipValidationFor(model => model.CouponCalculateType)>
                <option value="@(CalculationType.OnlyTuition)">@CalculationType.OnlyTuition.ToDescription()</option>
                <option value="@(CalculationType.TotalAmount)">Total amount: tuition amount and all additional charges and services.</option>
                <option value="@(CalculationType.OnlyExtraServices)">@CalculationType.OnlyExtraServices.ToDescription()</option>
            </select>
        </div>
        <div class="place-left one-half padding-right20">
            <label class="req-star">Start date</label>
            <div class="input-control date-time" @Html.AngValidationClassFor(model => model.StartDate)>
                <div @Html.AngTooltipValidationFor(model => model.StartDate)>
                    <input ng-model="@Html.Ang(m => m.StartDate)" kendo-date-picker k-options="MC.datePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
            </div>
        </div>
        <div class="place-left one-half">
            <label class="req-star">Expiry date</label>
            <div class="input-control date-time" @Html.AngValidationClassFor(model => model.EndDate)>
                <div @Html.AngTooltipValidationFor(model => model.EndDate)>
                    <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="@Html.Ang(m => m.EndDate)" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
            </div>
        </div>
        <div class="clearfix"></div>
        <hr />
        <button type="submit" class="success large place-right">Save</button>
        <button type="submit" class="link large place-left" ui-sref="Coupons({seasonDomain: MC.stateParams.seasonDomain})">Cancel</button>
    </form>
    <div class="clearfix"></div>
</div>